# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'fortytwo/version'

Gem::Specification.new do |spec|
  spec.name          = 'fortytwo'
  spec.version       = FortyTwo::VERSION
  spec.authors       = ['Matias Fernandez']
  spec.email         = ['matiasfmolinari@gmail.com']
  spec.summary       = 'Ruby client library for the 42 API'
  spec.description   = 'Provides an easy way to interact with the 42 API in any kind of application.'
  spec.homepage      = 'https://github.com/MatiasFMolinari/fortytwo'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'rack', '1.6.4'
  spec.add_development_dependency 'bundler', '~> 1.5'
  spec.add_development_dependency 'rake', '~> 10.0', '>= 10.0.0'
  spec.add_development_dependency 'pry', '~> 0.9', '>= 0.9.0'
  spec.add_development_dependency 'yard', '~> 0.8'

  spec.add_runtime_dependency 'activesupport', '4.2.2'
  spec.add_runtime_dependency 'oauth2', '~> 1.2'
end
